package org.dromara.main.service;

import org.dromara.main.domain.MainStudentEducation;
import org.dromara.main.domain.bo.MainStudentEducationBo;
import org.dromara.main.domain.bo.MainStudentExperienceBo;
import org.dromara.main.domain.vo.MainStudentEducationVo;
import org.dromara.main.domain.vo.MainStudentExperienceVo;

import java.util.Collection;
import java.util.List;


public interface IMainStudentExperienceService {
    MainStudentExperienceVo queryById(Long id);
    List<MainStudentExperienceVo> queryList(MainStudentExperienceBo bo);
    Boolean insertByBo(MainStudentExperienceBo bo);
    Boolean updateByBo(MainStudentExperienceBo bo);
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
